Bug 469440 - 'host -4 hostname' fails even though ipv4 nameservers are available.
'host -4 hostname' fails even though ipv4 nameservers are available.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 16:55 EDT by Valdis Kletnieks
Modified: 2013-04-30 19:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 20:28:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2008-10-31 16:55:51 EDT
Description of problem:
I have a mix of ipv4 and ipv6 DNS servers listed in /etc/resolv.conf:
% grep -v '^#' /etc/resolv.conf
nameserver 2001:468:c80:2101:0:100:0:22
nameserver 2001:468:c80:6101:0:100:0:62
nameserver 198.82.247.66
nameserver 198.82.247.34
nameserver 198.82.247.98

Using 'host -4' fails:
% host -4 listserv.vt.edu
host: couldn't get address for '2001:468:c80:2101:0:100:0:22': address family not supported

Even though the actual target exists:
% host -6 listserv.vt.edu
listserv.vt.edu has address 198.82.161.192
listserv.vt.edu has IPv6 address 2001:468:c80:2105:211:43ff:feda:d769
listserv.vt.edu mail is handled by 0 smtp.vt.edu.

'host -4' *should* have gone ahead and tried the 3 listed IPv4 servers.

Version-Release number of selected component (if applicable):
bind-utils-9.5.1-0.8.b2.fc10.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Valdis Kletnieks 2008-10-31 17:02:27 EDT
I've also opened bug #469441 against RHEL 5.2 for this.
Comment 2 Adam Tkac 2008-11-03 06:40:19 EST
Right you are, patch is commited in CVS. Fix will be available as F10 update.
Comment 3 Fedora Update System 2008-11-11 09:44:11 EST
bind-9.5.1-0.9.b3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bind-9.5.1-0.9.b3.fc10
Comment 4 Fedora Update System 2008-11-22 11:52:25 EST
bind-9.5.1-0.9.b3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bind'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-10000
Comment 5 Bug Zapper 2008-11-25 23:35:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Update System 2008-12-02 20:27:58 EST
bind-9.5.1-0.9.b3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.